package org.rcisoft.integration.jieLink.dto;

import lombok.Data;

/**
 * 访客凭证
 */
@Data
public class VisitDataCredentialDto {

    /**
     * <pre>
     *     凭证ID
     *     36 位 Guid
     *      必填
     * </pre>
     */
    private String credentialId;

    /**
     * <pre>
     *     凭证类型
     *     1 EM 卡
     *    55 MF1-A 卡
     *    163 车牌号码
     *    169 人脸特征
     *    170 人脸图片
     * </pre>
     */
    private String credentialType;

    /**
     * <pre>
     *     凭证号码
     * </pre>
     */
    private String credentialNo;


    /**
     * 模板数据
     */
    private String templetData;

}
