package org.rcisoft.integration.jieLink.dto;

import lombok.Data;

/**
 * 万傲门禁道闸上传对象
 *
 */
@Data
public class ZKTDoorRecordDto {

    /**
     * <pre>
     *     门禁记录ID
     * </pre>
     */
    private String id;

    /**
     * <pre>
     *     记录设备触发时间
     * </pre>
     */
    private String eventTime;

    /**
     * 人员编号
     */
    private String pin;

    /**
     * <pre>
     *     人员姓名
     * </pre>
     */
    private String name;

    /**
     * <pre>
     *  人员姓名，英文下才有用；
     * </pre>
     */
    private String lastName;

    /**
     * <pre>
     *     部门名称
     * </pre>
     */
    private String deptName;

    /**
     * <pre>
     *     区域名称
     * </pre>
     */
    private String areaName;

    /**
     * 卡号
     */
    private String cardNo;

    /**
     * <pre>
     *  设备序列号
     * </pre>
     *
     */
    private String devSn;


    /**
     * <pre>
     *     验证方式名称
     * </pre>
     *
     */
    private String verifyModeName;

    /**
     * 事件描述
     */
    private String eventName;

    /**
     * 事件出发点名称
     */
    private String eventPointName;

    /**
     * 读头名称
     */
    private String readerName;

    /**
     * 门禁区域名称
     */
    private String accZone;

    /**
     * 设备名称
     */
    private String devName;

    /**
     * 事件索引值，根据设备是否支持才有值
     */
    private Integer logId;

    /**
     *
     */
    private Integer eventNo;

    /**
     *
     */
    private Integer eventLevel;

    /**
     * 门名称
     */
    private String doorName;



}
