package org.rcisoft.integration.jieLink.dto;

import lombok.Data;

/**
 * 捷顺部门信息接口
 */
@Data
public class JieLinkDeptDto {

    /**
     * 组织机构ID
     */
    private String deptId;

    /**
     * 组织编号
     */
    private Integer deptNo;

    /**
     * 组织名称
     * 必填参数
     */
    private String deptName;


    /**
     * 备注
     */
    private String remark;

    /**
     * 父节点 ID
     */
    private String parentId;



}
