package org.rcisoft.integration.video.Service;

import org.rcisoft.sys.doorreportdata.entity.DoorReportData;
import org.springframework.stereotype.Service;

/**
 * 大华视频监控设备服务
 */
@Service
public interface IDaHuaVideoService {

    /**
     * 抓取视频监控设备图像
     * @return
     */
    public boolean grabVideoDevicePicData(String dataId);

    /**
     * 抓取视频监控设备图像
     * @param videoDeviceId
     * @return
     */
    public boolean grabVideoDevicePicData(Long videoDeviceId, DoorReportData reportData);

}
