package org.rcisoft.integration.video.lib.constant;

/**一些结构体成员变量的数组长度
 *
 * @author 47081 47040
 * @version 1.0
 * @since 2020/8/24
 */
public class SDKStructureFieldLenth {
  /** 通用名字字符串长度 */
  public static final int NET_MAX_NAME_LEN = 16;
  /** 视频分析设备支持的检测物体类型列表个数上限 */
  public static final int MAX_OBJECT_LIST_SIZE = 16;
  /** 一周的天数 */
  public static final int WEEK_DAY_NUM = 7;
  /** 录像时间段扩展个数 */
  public static final int MAX_REC_TSECT_EX = 10;
  /** 通用字符串长度512 */
  public static final int SDK_COMMON_STRING_512 = 512;
  /** 电视墙最大预案数 */
  public static final int NET_MAX_COLLECTION_NUM = 64;
  /** 景物点信息最大个数 */
  public static final int MAX_SCENICSPOT_POINTS_NUM = 256;
  /** 协议名称长度 */
  public static final int MAX_PROTOCOL_NAME_LEN = 32;
  /** 通用字符串长度32 */
  public static final int CFG_COMMON_STRING_32 = 32;
  /** 隐私遮挡类型数量 */
  public static final int MAX_MASKTYPE_COUNT = 8;
  /** 马赛克遮挡类型数量 */
  public static final int MAX_MOSAICTYPE_COUNT = 8;
  /** 最大下位矩阵输出通道数 */
  public static final int CFG_MAX_LOWER_MATRIX_OUTPUT = 32;
  /** 最大通道数256 */
  public static final int CFG_MAX_VIDEO_CHANNEL_NUM = 256;
  /** 规则检测区域最大顶点数 */
  public static final int SDK_MAX_DETECT_REGION_NUM = 20;
  /** 检测到目标的最大个数 */
  public static final int HDBJ_MAX_OBJECTS_NUM = 200;
  /** 规则检测区域最大顶点数 */
  public static final int DH_MAX_DETECT_REGION_NUM = 20;
  /** 最大事件名称长度 */
  public static final int MAX_EVENT_NAME_LEN = 128;
  /** 最大标定点个数 */
  public static final int MAX_CALIBRATE_POINT_NUM = 64;
  /** 最大的地址长度 */
  public static final int MAX_ADDRESS_LEN = 256;
  /** 最大密码长度 */
  public static final int MAX_PASSWORD_LEN = 64;
  /** 最大的SIP服务器ID长度 */
  public static final int MAX_SIP_SVR_ID_LEN = 24;
  /** 最大的SIP域长度 */
  public static final int MAX_SIP_DOMAIN_LEN = 128;
  /** 最大的SIP服务器IP长度 */
  public static final int MAX_SIP_SVR_IP_LEN = 128;
  /** 最大的设备编号长度 */
  public static final int MAX_SIP_SERVER_DEVICE_ID_LEN = 24;
  /** 最大的注册密码长度 */
  public static final int MAX_REG_PASSWORD_LEN = 24;
  /** 最大的行政区划代码长度 */
  public static final int MAX_CIVIL_CODE_LEN = 24;
  /** 最大的接入模块识别码长度 */
  public static final int MAX_INTERVIDEO_ID_LEN = 24;
  /** 最大的通道编号长度 */
  public static final int MAX_CHANNEL_ID_LEN = 24;
  /** 最大的SIP服务器信息个数 */
  public static final int MAX_SIP_SERVER_NUM = 5;

}
